@font-face {
    font-family: "Inknut Antiqua";
    src: url("InknutAntiqua-Regular.ttf") format("truetype");
    font-display: swap;
}

@font-face {
    font-family: "Fira Sans";
    src: url("FiraSans-Regular.ttf") format("truetype");
    font-display: swap;
}

:root {
  color-scheme: light dark;
}

body {
    margin: 0;
    padding: 0;
    width: 100%;
    font-family: "Fira Sans";
    /*background-color: #fdf9f7;*/
    background-color: light-dark(#ffffff, #000000);
    color: light-dark(#393433, #cccccc);
}

header {
    width: 90vw;
    max-width: 40em;
    margin: 2vh auto;
    display: flex;
}

nav {
    flex: 1;
}

nav > ul {
    display: flex;
    justify-content: end;
    align-items: center;
    height: 100%;
    margin: 0;
    margin-right: 1rem;
    font-family: "Inknut Antiqua";
    text-decoration: underline 0.1em;
    list-style: none;
    font-size: 1.1rem;
}

nav > ul > li {
    margin: 0 0.7em;
}

#logo-container {
    font-size: 1.0rem;
    width: max-content;
    text-align: right;
}

#logo-container > h1 {
    font-family: "Inknut Antiqua";
    margin-bottom: 0;
    line-height: 120%;
}

#logo-container > h2 {
    font-size: 0.8em;
    margin-top: .2em;
    text-align: right;
    max-width: 16em;
}

main {
    width: 90vw;
    max-width: 40em;
    margin: 5em auto 0;
    padding: 0 1em;
}

h1 {
    font-family: "Inknut Antiqua";
    line-height: 140%;
}

h1.homepage {
    font-size: 1.5em;
}

h2 {
    margin-top: 1.5em;
}

main > p {
    line-height: 130%;
}

ol {
    padding-left: 2em;
}

li {
    margin-bottom: 1em;
}

sup {
    line-height: 0; // make it not push up the line above
}

a {
    color: light-dark(#393433, #cccccc);
}

p.info {
    padding-left: 1em;
    font-weight: bold;
}
